
.versions_page {
    display: flex;
    flex-direction: column;
    height: 100%;
}

input {
	padding: 5px;
	border-radius: 5px;
	border-width: 1px;
	border-style: solid;
	border-color: #ccc;
}

select {
	padding: 5px;
	border-radius: 5px;
	border-width: 1px;
	border-style: solid;
	border-color: #ccc;
}

.page_content {
	display: flex;
	flex-direction: column;
	flex: 1 1 auto;
	position: relative;
	overflow: hidden;
}

.changes_container {
	display: flex;
	flex: 1 1 auto;
	position: relative;
	flex-direction: column;
	margin: 10px 20px 0px 20px;
	overflow: hidden;
}

.changes_container > div:nth-child(1) {
	font-size: 16pt;
	font-weight: bold;
	padding-left: 5px;
}

.button {
    display: flex;
	background: #000059;
	align-items: center;
	justify-content: center;
    color: #fff;
    padding: 10px 20px 10px 20px;
    border-radius: 10px;
	cursor: pointer;
	max-height: 32px;
}

.button:hover {
    background: #0000ae;
}

.button_container {
	display: flex;
	margin: 5px 20px 10px 20px;
}

.version_items {
	display: flex;
	flex-direction: column;
	overflow-y: scroll;
	margin-top: 5px;
	margin-bottom: 5px;
}

.version_headers {
	display: flex;
	flex-direction: column;
	flex-shrink: 0;
	font-weight: bold;
}

.version_list_header_container {
	padding: 0px !important;
	border-bottom: 2px solid #ccc;
	overflow-y: scroll;
}

.version_list_item_header {
	display: flex;
	align-items: center;
	cursor: pointer;
	user-select: none;
	border-left: 2px solid #ccc;
	padding-bottom: 5px;
	padding-left: 5px;
}

.version_list_item_header:first-of-type {
	border-left: unset;
}

.version_list_divider {
	border-bottom: 2px solid #ccc;
	margin-bottom: 5px;
}

.version_list_item_header > i {
	margin-left: 5px;
}

.version_list_item {
	display: flex;
	padding: 5px;
	justify-content: space-between;
	cursor: pointer;
}

.version_list_item > div {
	text-overflow: ellipsis;
	overflow: hidden;
	white-space: nowrap;
}

.version_list_item > div:nth-child(1) {
	width: 16%;
}

.version_list_item > div:nth-child(2) {
	width: 16%;
}

.version_list_item > div:nth-child(3) {
	width: 24%;
}

.version_list_item > div:nth-child(4) {
	width: 16%;
}

.version_list_item > div:nth-child(5) {
	width: 16%;
}

.version_list_item > div:nth-child(6) {
	width: 10%;
	text-transform: capitalize;
}

.version_list_item_selected {
	background: #000059;
    color: #fff;
}

.version_selector {
	display: flex;
	flex-direction: column;
	max-width: 300px;
	margin: 0px 20px 0px 20px;
}

.version_selector > select {
	margin-bottom: 5px;
}

.dialog_base {
    display: flex !important;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
	max-height: 90%;
	max-width: 90%;
}

.dialog_window {
	display: flex;
	flex-direction: column;
	flex: 1 1 auto;
	background: #fff;
	padding: 10px;
	border: 2px solid #bbb;
	border-radius: 10px;
	box-shadow: 0px 0px 20px #0009;
	min-width: 300px;
	max-width: 600px;
	border: 4px solid #000059;
}

.dialog_window > .button {
	margin-left: auto;
	margin-right: auto;
	background: #fff;
	color: #000;
	border: 2px solid #ccc;
}

.dialog_window > .button:hover {
    border-color: #000059;
}

.dialog_window_content {
	display: flex;
	flex: 1 1 auto;
	flex-direction: column;
	margin-bottom: 10px;
	overflow: auto;
}

.dialog_window_content > div:first-of-type {
	margin-left: auto;
	margin-right: auto;
	font-size: 18pt;
	margin-bottom: 20px;
}

.dialog_info_content {
	display: flex;
	flex-direction: column;
}

.dialog_info_row {
	display: flex;
	flex: 1 1 auto;
	justify-content: space-between;
	margin-bottom: 5px;
}

.dialog_info_row > div:nth-child(1) {
	width: 50%;
	display: flex;
	flex-direction: row-reverse;
	margin-right: 20px;
}

.dialog_info_row > div:nth-child(2) {
	width: 50%;
	word-break: break-word;
}

.dialog_info_title {
	font-weight: bold;
}